<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="LOGSETTINGS-CONTENT">
		<style>
			.sb-pagetitle { border-bottom: solid 1px #776655; }
		</style>
		<script type="text/javascript" src="/js/Admin/LogSettings.js?{$version}.{$build}"/>
	
    	<table width="100%" cellpadding="0" cellspacing="0" border="0">
        	<tr>
            	<td class="sb-toolbarpadding">
			        
            		<form name="editLogSettings" method="post" id="editLogSettings" onsubmit="submitForm(); return false;">
            			<xsl:attribute name="action"><xsl:value-of select="@ACTION"/></xsl:attribute>
            	
	            		<fieldset class="sb-form-fieldset">
				            <legend class="sb-label-toolbar-title">
				                <xsl:value-of select="@SUB-TITLE"/>
				            </legend>

				            <table cellpadding="0" cellspacing="0" width="100%" border="0">
				                
				                <tr class="sb-formview-row">
				                    <td style="width: 50%;height: 20px; padding-left:10px;">
				                        <b class="sb-text"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/LIST-LOG"/></b>
				                    </td>
				                    <td style="width: 50%; white-space:nowrap;">
				                        <b class="sb-text"><xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/LIST-MIN-LEVEL"/></b>
				                    </td>
				                </tr>
				                
				                <xsl:for-each select="CONTROL[@TYPE='COMBO-BOX']">
					                <tr class="sb-formview-alternaterow" style="height: 25px;">
					                	<xsl:if test="position() mod 2">
					                		<xsl:attribute name="class">sb-formview-row</xsl:attribute>
					                	</xsl:if>
					                	<td colspan="2">
											<xsl:apply-templates select="." mode="TITLE-LEFT">
												<xsl:with-param name="titleStyle">width: 50%; color: black;</xsl:with-param>
												<xsl:with-param name="controlStyle">width:80%;</xsl:with-param>
												<xsl:with-param name="onChange">self.sbApplyChangesObject.registerChange();</xsl:with-param>
											</xsl:apply-templates>
					                	</td>
					                </tr>
					            </xsl:for-each>
					            
				            </table>

				        </fieldset>
				        
					</form>
            	</td>
        	</tr>
        </table>
		
        <xsl:call-template name="OK-CANCEL-BUTTONS">
			<xsl:with-param name="okAction">submitForm();</xsl:with-param>
			<xsl:with-param name="cancelAction">document.location.href="<xsl:value-of select="$baseUrl"/>/Admin/Server";</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
</xsl:stylesheet>
    
