<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="PROGRESS-BAR" name="PROGRESS-BAR">
		<xsl:param name="additionalStyle" />
		<xsl:param name="divClass" />
		<script type="text/javascript" language="javascript" src="/js/progress_bar.js?{$version}.{$build}"/>
		<div id="sbProgressBar">
			<xsl:attribute name="style"><xsl:value-of select="$additionalStyle"/></xsl:attribute>
			<div>
				<xsl:if test="$divClass">
					<xsl:attribute name="class"><xsl:value-of select="$divClass" /></xsl:attribute>
				</xsl:if>
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<xsl:if test="@TITLE">
							<td class="sb-site-status"><xsl:value-of select="@TITLE"/></td>
						</xsl:if>
						<td align="right"><span id="sbProgressBarStatus">0</span>% <xsl:value-of select="@PERCENT-COMPLETED-LOCALE"/></td>
					</tr>
				</table>
				<div style="width:0px; height:8px;"><span></span></div>
				<div class="sb-publish-progress-block"><img id="sbProgressBarImage" src="{$skinPath}/images/publish_progress.gif" alt="" height="20" style="width:0%; border-width:0px;"/></div>
			</div>
		</div>
		<script type="text/javascript" language="javascript">
			var sbProgressBar = new SbProgressBar();
		</script>
	</xsl:template>

</xsl:stylesheet>
